import type { PeritextClipboard, PeritextClipboardData } from './types';
export declare class DomClipboard implements PeritextClipboard {
    protected readonly clipboard: Clipboard;
    constructor(clipboard: Clipboard);
    writeText(text: string): undefined | Promise<void>;
    write(text: PeritextClipboardData<string>, binary?: PeritextClipboardData<Uint8Array>): undefined | Promise<void>;
    read<T extends string>(types: T[]): Promise<{
        [mime in T]: Uint8Array;
    }>;
    readData(): Promise<{
        text?: string;
        html?: string;
    }>;
}
